@extends('layouts.app')

@section('main')
<p class="text-right"><a role="button" href="posts/create" class="btn btn-sm btn-success">Create Post</a></p>
<table class="table table-sm table-striped">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">User</th>
      <th scope="col">Title</th>
      <th scope="col">Action</th>
    </tr>
  </thead>
  <tbody>
    @foreach($posts as $post)
        <tr>
            <th scope="row">{{ $post->id }}</th>
            <td>{{ $post->user_id }}</td>
            <td><a href="posts/{{ $post->id }}">{{ $post->title }}</td>
            <td>
              <form class="form-inline" action="/posts/{{ $post->id }}" method="post">
                <a role="button" href="posts/{{ $post->id }}/edit" class="btn btn-sm btn-outline-warning mr-1">Edit</a>
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-sm btn-outline-danger">Delete</button>
              </form>
            </td>
        </tr>
    @endforeach
  </tbody>
</table>
@endsection